The calling user's own enrolled devices, with when each was last seen.
curl --request POST \
--url https://app.assetinfinity.ai/api/my_devices \
--header 'Content-Type: application/json' \
--data '
{
"app_version": "<string>",
"enrolled_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_usable": true,
"last_seen_at": "<string>",
"last_sync_at": "<string>",
"name": "<string>",
"os_version": "<string>",
"platform": "<string>",
"revoke_reason": "<string>",
"revoked_at": "<string>",
"wipe_confirmed_at": "<string>",
"wipe_requested_at": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/my_devices"
payload = {
"app_version": "<string>",
"enrolled_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_usable": True,
"last_seen_at": "<string>",
"last_sync_at": "<string>",
"name": "<string>",
"os_version": "<string>",
"platform": "<string>",
"revoke_reason": "<string>",
"revoked_at": "<string>",
"wipe_confirmed_at": "<string>",
"wipe_requested_at": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
app_version: '<string>',
enrolled_at: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_usable: true,
last_seen_at: '<string>',
last_sync_at: '<string>',
name: '<string>',
os_version: '<string>',
platform: '<string>',
revoke_reason: '<string>',
revoked_at: '<string>',
wipe_confirmed_at: '<string>',
wipe_requested_at: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/my_devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Profile
The calling user's own enrolled devices, with when each was last seen.
POST
/
my_devices
The calling user's own enrolled devices, with when each was last seen.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
my_devices
The calling user's own enrolled devices, with when each was last seen.
Maximum string length:
40Note: This is a Primary Key.
Maximum string length:
150Maximum string length:
40Maximum string length:
20Maximum string length:
200Response
201
Created
Related topics
The Sync CenterSensors and condition alertsTools and instrumentsCore conceptsFinding your way aroundWas this page helpful?
⌘I

